﻿Copyright (c) (2017) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Tektronix TDS 3064B: (1 year) VER IEEE /9500+4Hd
DATE:                  2017-03-07 09:23:26
AUTHOR:                Fluke
REVISION:              $Revision: 18535 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       229
CONFIGURATION:         Datron 9500 (C5,S6)
CONFIGURATION:         Datron 9510 on channel 1
CONFIGURATION:         Datron 9510 on channel 2
CONFIGURATION:         Datron 9510 on channel 3
CONFIGURATION:         Datron 9510 on channel 4
=============================================================================
#
#  Procedure Author:
#        ZY
#
#  Source(s):
#        TDS3000B Series Digital Phosphor Oscilloscopes
#        Service Manual, 071-0972-04
#
#  Compatibility:
#        MET/CAL 7.3.38 or later
#
#  Additional Equipment Required:
#        Tektronix Communication Module
#        - TDS3GM or TDS3GV
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  M9500                       CH1
  1.003  9500         600MH                        1Vpp           LS    S  L
  1.004  M9500                       CH2
  1.005  9500         600MH                        1Vpp           LS    S  L
  1.006  M9500                       CH3
  1.007  9500         600MH                        1Vpp           LS    S  L
  1.008  M9500                       CH4
  1.009  9500         600MH                        1Vpp           LS    S  L
  1.010  ENDIF

  1.011  ASK-   R   Q N              P                            A        V
# ASK+ K is required for measurement uncertainty.
  1.012  ASK+           K

  1.013  IF           NOT(VERSIONCHECK("7.3.38"))
  1.014  END
  1.015  ENDIF

  1.016  CALL         Sub Display Copyright
  1.017  CALL         Sub High Voltage Safety Warning
  1.018  CALL         Sub Select Failed Test Mode
  1.019  CALL         Sub Select Guardbanding & Ver Method (No NTHROW)

  1.020  HEAD         PRELIMINARY INSTRUCTIONS
  1.021  TARGET
  1.022  DISP         Ensure a minimum UUT warm-up time of at least
  1.022  DISP         20 minutes has been allowed to elapse, prior
  1.022  DISP         to beginning verification.

  1.023  CALL         Sub Tek TDS3000/3000B IEEE-488 Interface
  1.024  JMPL         END                              @Abort
  1.025  CALL         Sub UUT Connection GPIB

  1.026  IEEE2        *RST

  1.027  HEAD         UUT IDENTIFICATION
  1.028  CALL         Sub IEEE-488.2 Identification Query IEEE

  1.029  MATH         @UUT_Manufacturer = "Tektronix"
  1.030  MATH         @UUT_Model        = "TDS 3064B"
  1.031  CALL         Sub IEEE-488.2 Identification Query Check Response
  1.032  JMPL         END                           @Abort

  1.033  CALL         Sub Tek TDS3000 Check Firmware Version
  1.034  JMPL         END                           @Abort

  1.035  CALL         Sub Datron 9500 Configuration Query IEEE

  1.036  MATH         L[1] = (@HeadTypeCh1 == "9560")
  1.037  MATH         L[1] = L[1] + (@HeadTypeCh2 == "9560")
  1.038  MATH         L[1] = L[1] + (@HeadTypeCh3 == "9560")
  1.039  MATH         L[1] = L[1] + (@HeadTypeCh4 == "9560")

  1.040  IF           L[1] > 0

  1.041  HEAD         EQUIPMENT REQUIREMENTS
  1.042  OPBR         -z Do you want to REVIEW the list of additional
  1.042  OPBR         equipment and/or accessories required?

  1.043  IF           MEM1
  1.044  DISP         - Adapter SMA(f)-BNC(m) ([L1] ea.)
  1.045  ENDIF

  1.046  ENDIF

  1.047  CALL         Sub Tek TDS3000 Set Bandwidth & Number of Channels
  1.048  CALL         Sub Tek TDS3000 Signal Path Compensation Cal IEEE
  1.049  JMPL         END                           @Abort

  1.050  CALL         Sub Tek TDS3000 Self-Test IEEE
  1.051  JMPL         END                           @Abort

  1.052  IF           @HeadTypeCh1 == "9560"
  1.053  MATH         Ch1Adapter = " via SMA(f)-BNC(m) adapter"
  1.054  ELSE
  1.055  MATH         Ch1Adapter = ""
  1.056  ENDIF

  1.057  IF           @HeadTypeCh2 == "9560"
  1.058  MATH         Ch2Adapter = " via SMA(f)-BNC(m) adapter"
  1.059  ELSE
  1.060  MATH         Ch2Adapter = ""
  1.061  ENDIF

  1.062  IF           @HeadTypeCh3 == "9560"
  1.063  MATH         Ch3Adapter = " via SMA(f)-BNC(m) adapter"
  1.064  ELSE
  1.065  MATH         Ch3Adapter = ""
  1.066  ENDIF

  1.067  IF           @HeadTypeCh4 == "9560"
  1.068  MATH         Ch4Adapter = " via SMA(f)-BNC(m) adapter"
  1.069  ELSE
  1.070  MATH         Ch4Adapter = ""
  1.071  ENDIF

  1.072  DISP         Connect the 9500 to the UUT as follows:
  1.072  DISP
  1.072  DISP         CH 1 Active Head to UUT CH 1[V Ch1Adapter].
  1.072  DISP         CH 2 Active Head to UUT CH 2[V Ch2Adapter].
  1.072  DISP         CH 3 Active Head to UUT CH 3[V Ch3Adapter].
  1.072  DISP         CH 4 Active Head to UUT CH 4[V Ch4Adapter].

  1.073  MATH         @Chan = 1
  1.074  M9500                       CH1
  1.075  CALL         Sub Tek TDS3000B (1 yr) DCV IEEE /9500

  1.076  MATH         @Chan = 2
  1.077  M9500                       CH2
  1.078  CALL         Sub Tek TDS3000B (1 yr) DCV IEEE /9500

  1.079  MATH         @Chan = 3
  1.080  M9500                       CH3
  1.081  CALL         Sub Tek TDS3000B (1 yr) DCV IEEE /9500

  1.082  MATH         @Chan = 4
  1.083  M9500                       CH4
  1.084  CALL         Sub Tek TDS3000B (1 yr) DCV IEEE /9500

  1.085  MATH         @Chan = 1
  1.086  M9500                       CH1
  1.087  CALL         Sub Tek TDS3000B (1 yr) Bandwidth IEEE /9500/600

  1.088  MATH         @Chan = 2
  1.089  M9500                       CH2
  1.090  CALL         Sub Tek TDS3000B (1 yr) Bandwidth IEEE /9500/600

  1.091  MATH         @Chan = 3
  1.092  M9500                       CH3
  1.093  CALL         Sub Tek TDS3000B (1 yr) Bandwidth IEEE /9500/600

  1.094  MATH         @Chan = 4
  1.095  M9500                       CH4
  1.096  CALL         Sub Tek TDS3000B (1 yr) Bandwidth IEEE /9500/600

  1.097  MATH         @Chan = 1
  1.098  M9500                       CH1
  1.099  CALL         Sub Tek TDS3000B (1 yr) Full BW Trig IEEE /9500/600

  1.100  MATH         @Chan = 2
  1.101  M9500                       CH2
  1.102  CALL         Sub Tek TDS3000B (1 yr) Full BW Trig IEEE /9500/600

  1.103  MATH         @Chan = 3
  1.104  M9500                       CH3
  1.105  CALL         Sub Tek TDS3000B (1 yr) Full BW Trig IEEE /9500/600

  1.106  MATH         @Chan = 4
  1.107  M9500                       CH4
  1.108  CALL         Sub Tek TDS3000B (1 yr) Full BW Trig IEEE /9500/600

  1.109  MATH         @Chan = 1
  1.110  M9500                       CH1
  1.111  CALL         Sub Tek TDS3000B (1 yr) 50 MHz Trig IEEE /9500/600

  1.112  MATH         @Chan = 2
  1.113  M9500                       CH2
  1.114  CALL         Sub Tek TDS3000B (1 yr) 50 MHz Trig IEEE /9500/600

  1.115  MATH         @Chan = 3
  1.116  M9500                       CH3
  1.117  CALL         Sub Tek TDS3000B (1 yr) 50 MHz Trig IEEE /9500/600

  1.118  MATH         @Chan = 4
  1.119  M9500                       CH4
  1.120  CALL         Sub Tek TDS3000B (1 yr) 50 MHz Trig IEEE /9500/600

  1.121  MATH         @Chan = 1
  1.122  M9500                       CH1
  1.123  CALL         Sub Tek TDS3000B (1 yr) Sample Rate IEEE /9500

  1.124  LABEL        END
  1.125  HEAD         -2

  1.126  IF           @Abort
  1.127  HEAD         V E R I F I C A T I O N   A B O R T E D !
  1.128  ELSE
  1.129  HEAD         V E R I F I C A T I O N   C O M P L E T E
  1.130  ENDIF

  1.131  END
